Subject: Re: [PATCH v2 5/4] initial branch: give hints after switching the default name

From: Junio C Hamano <[email-masked]>
Date: Thu, 18 Sep 2025 11:42:13 -0700

Phillip Wood <[email-masked]> writes:

>>   * With simplified tests, thanks to Phillip's help.
>
> This looks good. The only thing I wondered about was whether we should
> keep
>
> -test_expect_success !WITH_BREAKING_CHANGES 'advice on unconfigured init.defaultBranch' '
> +test_expect_success 'advice on unconfigured init.defaultBranch' '
>  	GIT_TEST_DEFAULT_INITIAL_BRANCH_NAME= git -c color.advice=always \
>  		init unconfigured-default-branch-name 2>err &&
>
> in t0001-init.sh from the previous version as we're still printing some
> advice.

I was a bit over-eager to revert the changes to the tests.  I agree
that we should make sure that we have the hint message even after
3.0, so we should drop the prerequisite there.

Thanks for spotting.